OgreAnimable.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreVector2.h"`
`#include "OgreVector3.h"`
`#include "OgreVector4.h"`
`#include "OgreQuaternion.h"`
`#include "OgreColourValue.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreStringVector.h"`
`#include "OgreException.h"`
`#include "OgreAny.h"`

Go to the source code of this file.

## Classes

class | Ogre::AnimableValue
| Defines an object property which is animable, i.e. More...
class | Ogre::AnimableObject
| Defines an interface to classes which have one or more AnimableValue instances to expose. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef SharedPtr< AnimableValue > | Ogre::AnimableValuePtr

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24